# gui

This is the main source code for the custom UI used by PiFrame. This is responsible for things like restart, WiFi config, ensuring the slide show is running and more.

## Config

The GUI uses a config similar to the following. To generate a default config, launch the gui and immediatly select the ```Save & Exit``` button. The generated configuration will be at ```/etc/default/pf.toml```.

**Please Note**: The below is a sample and may or may not match the coded defaults. We also do *not* recommend changing values that are not present in the UI unless you are sure of the consequences.

```

# Slideshow intervals
slideshow.slideinterval = "300s"
slideshow.restartinterval = "7d"

# These are SYSTEMD.TIME formatted times
# You probably want to just adjust the actual times here
# See https://www.freedesktop.org/software/systemd/man/systemd.time.html
hdmi.off = "*-*-* 00:00:00"
hdmi.on = "*-*-* 06:00:00"

# Album configuration (DO NOT CHANGE albums.root )
albums.root = "/tank/pictures"
albums.selected = ["/", "/KemoNine"]

```
