package config

const (
	CLI_FLAG_CONFIG_ONLY = "config-ui-only"
)

const (
	CONFIG_FILE_PATH                      = "/etc/default/pf.toml"
	CONFIG_FILE_PATH_TMP                  = "/etc/default/pf.toml.new"
	CONFIG_KEY_SLIDESHOW_INTERVAL         = "slideshow.slideinterval"
	CONFIG_KEY_SLIDESHOW_RESTART_INTERVAL = "slideshow.restartinterval"
	CONFIG_KEY_HDMI_OFF                   = "hdmi.off"
	CONFIG_KEY_HDMI_ON                    = "hdmi.on"
	CONFIG_KEY_ALBUMS_ROOT                = "albums.root"
	CONFIG_KEY_ALBUMS_SELECTED            = "albums.selected"
	CONFIG_KEY_FAN_POLL_INTERVAL          = "fan.pollinginterval"
	CONFIG_KEY_FAN_SPEEDS                 = "fan.speeds"
	CONFIG_KEY_FAN_MIN_SPEED              = "fan.minspeed"
	CONFIG_MAP_KEY_FAN_SPEED_25           = "25"
	CONFIG_MAP_KEY_FAN_SPEED_50           = "50"
	CONFIG_MAP_KEY_FAN_SPEED_75           = "75"
	CONFIG_MAP_KEY_FAN_SPEED_100          = "100"
)

const (
	DEFAULT_SLIDESHOW_INTERVAL         = "300s"
	DEFAULT_SLIDESHOW_RESTART_INTERVAL = "7d"
	DEFAULT_HDMI_OFF                   = "*-*-* 00:00:00"
	DEFAULT_HDMI_ON                    = "*-*-* 06:00:00"
	DEFAULT_ALBUMS_ROOT                = "/tank/pictures"
	DEFAULT_FAN_POLL_INTERVAL          = "30s"
	DEFAULT_FAN_MIN_SPEED              = 10
)

var DEFAULT_ALBUM_SELECTED = []string{"/"}

// Speed : Temp to activate speed
var DEFAULT_FAN_SPEEDS = map[string]float64{
	CONFIG_MAP_KEY_FAN_SPEED_25:  45.00,
	CONFIG_MAP_KEY_FAN_SPEED_50:  50.00,
	CONFIG_MAP_KEY_FAN_SPEED_75:  52.00,
	CONFIG_MAP_KEY_FAN_SPEED_100: 55.00,
}
